# Class Response

java.lang.Object
org.apache.catalina.tribes.group.Response

public class Response extends Object
A response object holds a message from a responding partner.

## Constructor Summary

Constructors
Constructor
Description
`Response()`
Default constructor.
`Response(Member source, Serializable message)`
Constructor with source and message.

## Method Summary

Modifier and Type
Method
Description
`Serializable`
`getMessage()`
Get the message.
`Member`
`getSource()`
Get the source member.
`void`
`setMessage(Serializable message)`
Set the message.
`void`
`setSource(Member source)`
Set the source member.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Response

public Response()
Default constructor.

### Response

public Response(Member source, Serializable message)
Constructor with source and message.

Parameters:
  `source` - The source member
  `message` - The message

## Method Details

### setSource

public void setSource(Member source)
Set the source member.

Parameters:
  `source` - The source member

### setMessage

public void setMessage(Serializable message)
Set the message.

Parameters:
  `message` - The message

### getSource

public Member getSource()
Get the source member.

Returns:
  The source member

### getMessage

public Serializable getMessage()
Get the message.

Returns:
  The message